%define module	Module-CoreList
%define name	perl-%{module}
%define version	2.15
%define	release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Tell what modules shipped with versions of perl
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/Module/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Module::CoreList contains data about what perl modules are shipped
with given versions of perl (and their versions). It comes also with a
command-line utility, corelist, to retrieve this information easily.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Module
%{_mandir}/*/*
%{_bindir}/corelist



%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.15-2mdv2009.0
+ Revision: 268616
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.15-1mdv2009.0
+ Revision: 193863
- update to new version 2.15

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.13-1mdv2008.1
+ Revision: 135967
- update to new version 2.13

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.12-1mdv2008.0
+ Revision: 52504
- update to new version 2.12

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.11-1mdv2008.0
+ Revision: 46652
- update to new version 2.11

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 2.09-1mdv2008.0
+ Revision: 20280
- 2.09


* Fri Aug 11 2006 rafael
+ 08/11/06 10:25:06 (55603)
2.07

* Mon Aug 07 2006 rafael
+ 08/07/06 15:45:38 (53985)
2.06

* Mon Aug 07 2006 rafael
+ 08/07/06 15:44:39 (53984)
Import perl-Module-CoreList

* Thu Jun 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.05-1mdv2007.0
- New release 2.05
- fix directory ownerhsip
- HTTP source URL
- spec cleanup

* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.04-2mdk
- Fix According to perl Policy
	- Source URL

* Thu Feb 02 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.04-1mdk
- 2.04

* Wed Feb 01 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.03-1mdk
- 2.03

* Tue May 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.02-1mdk
- 2.02

* Mon Apr 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.01-1mdk
- 2.01

* Fri Apr 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.00-1mdk
- 2.00
- Drop patch 0 (now that this module is part of the perl core)

* Wed Jan 05 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.98-1mdk
- New version

* Wed Dec 01 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.97-1mdk
- Initial MDK release.

